Bug 221045 - Review Request: gtk-rezlooks-engine - Rezlooks GTK2 engine
Review Request: gtk-rezlooks-engine - Rezlooks GTK2 engine
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-12-30 21:28 EST by Mads Villadsen
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-26 17:19:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mads Villadsen 2006-12-30 21:28:36 EST
Spec URL: http://www.krakoa.dk/fedora/gtk-rezlooks-engine.spec
SRPM URL: http://www.krakoa.dk/fedora/gtk-rezlooks-engine-0.6-1.src.rpm
Description: Rezlooks is a gtk2 theme engine based on clearlooks.

This is my second package (first one is #220759), and I need a sponsor.
Comment 1 Mads Villadsen 2006-12-30 21:29:56 EST
Adding FE-NEEDSSPONSOR
Comment 2 Robert Spanton 2006-12-31 09:32:39 EST
What's the license of the "Source1?" files?  Those archives don't appear to
contain a license.

But otherwise:
 * rpmlint output is clean
 * source in srpm is as spec file specifies
 * builds on i386
 * installs and works on i386
Comment 3 Mads Villadsen 2006-12-31 10:28:59 EST
I have found that unfortunately themes rarely contain a license. However
Gilouche and Graphite are linked to from the main gnome-look.org page for the
theme and there the license is specified to be GPL.  The rest of the themes are
from the same author and all appear next to each other on his website
(http://people.os-zen.net/rezza/themes/).

So I assumed GPL. I will try to get in touch with him to clear up any licensing
issues.
Comment 4 Mads Villadsen 2006-12-31 15:13:30 EST
I have just received an e-mail from the author confirming that the themes are
under the GPL license.

So everything is okay there as well.
Comment 5 Mads Villadsen 2007-01-01 16:52:41 EST
Removed the Rezlooks-Aerials theme since it required an extra metacity theme and
icon theme.

New spec url is the same as the old one.
New SRPM url: http://www.krakoa.dk/fedora/gtk-rezlooks-engine-0.6-2.src.rpm
Comment 6 Mads Villadsen 2007-01-13 17:41:20 EST
I have uploaded a new version which adds COPYING file.

New SRPM: http://krakoa.dk/fedora/gtk-rezlooks-engine-0.6-3.src.rpm

The new spec file has the same url as the old one.
Comment 7 Mamoru TASAKA 2007-01-19 06:06:55 EST
Removing NEEDSPONSOR (bug 220759)
Comment 8 Mamoru TASAKA 2007-01-24 13:06:40 EST
Well,
* Firstly, Fedora's packaging policy by default is "all or
  nothing" unless there is a certain reason for conditional
  dependency (check: "Conditional dependencies" in
  http://fedoraproject.org/wiki/Packaging/Guidelines )

  What I mean by here is: I browsed under
  http://people.os-zen.net/rezza/themes/ , there are 6 themes
  named "Rezlooks-XXX.tar.gz", while you seem to have chosen
  4 of them and 2 erased by the some reason.

  If you have a reason why you didn't include 2 themes, please
  comment in the spec file why (sorry if it was only because there
  was only 4 themes when you packaged this srpm). Otherwise, 
  you must include "all" themes or include "nothing".

  Then..
  * rpmlint for srpm:
------------------------------------------------------
W: gtk-rezlooks-engine strange-permission Rezlooks-Snow.tar.gz 0600
W: gtk-rezlooks-engine strange-permission Rezlooks-Gilouche.tar.gz 0600
W: gtk-rezlooks-engine strange-permission gtk-rezlooks-engine.spec 0600
W: gtk-rezlooks-engine strange-permission Rezlooks-graphite.tar.gz 0600
W: gtk-rezlooks-engine strange-permission Rezlooks-candy.tar.gz 0600
W: gtk-rezlooks-engine strange-permission 39179-rezlooks-0.6.tar.gz 0600
------------------------------------------------------
   Please change the permission of files included in srpm
   to 0644.

   * Documentation
     /usr/share/doc/gtk-rezlooks-engine-0.6/NEWS says:
------------------------------------------------------
See Changelog for news.
-------------------------------------------------------
     This file is useless and please include Changelog instead.
Comment 9 Mads Villadsen 2007-01-24 17:15:14 EST
I have uploaded a new version which removes NEWS file and adds Changelog file.

I have also fixed the permissions, and included the Rezlooks-dark theme.

I have not included Rezlooks-Arials since it requires the nuoveXT-1.6 icon
theme, and contains a theme file which specifies the wrong controls and window
border themes. This is now also noted in the spec file.

New SRPM: http://krakoa.dk/fedora/gtk-rezlooks-engine-0.6-4.src.rpm

The new spec file has the same url as the old one.
Comment 10 Mamoru TASAKA 2007-01-25 11:41:19 EST
Okay.

* All sources coincides with what I downloaded on md5sum.
* Packaging issues are all okay.

---------------------------------------------------------
   This package (gtk-rezlooks-engine) is APPROVED by me

Note You need to log in before you can comment on or make changes to this bug.